Subject: Re: bug#37650: Fw: Possible bug.

From: Paul Eggert <[email-masked]>
Date: Mon, 7 Oct 2019 23:53:39 -0700

On 10/7/19 9:12 PM, George R Goffe wrote:

> The intent of the configure directive "--enable-gcc-warnings" that states, "turn on many GCC warnings (for developers; best with GNU make)" is, I guess, to warn developers of situations they need to be aware of.

Sorry, it looks like I misunderstood your bug report.

--enable-gcc-warnings is intended for developers, that is, people who are 
maintaining or modifying coreutils. It tends to generate so many false alarms 
that it is not intended for builders (people who are compiling and installing 
coreutils). This particular diagnostic appears to be a false alarm, as coreutils 
should configure and build just find if sys/sysctl.h is missing. So I suggest 
either ignoring the warning, or omitting --enable-gcc-warnings, or (and this is 
hardest suggestion, and meant only if you want to become a developer) developing 
a patch that pacifies your compiler.